version: '3'
services:
  tokslaw-main:
    build:
      context: .
      dockerfile: docker/apache/Dockerfile
      args:
        uid: ${UID}
    image: registry.chiefsoft.net/tokslawcom-web:latest
    environment:
      - APACHE_RUN_USER=${UID}
      - APACHE_RUN_GROUP=${UID}
      - CI_ENV
      - CI_CONFIG
    restart: unless-stopped
    volumes:
      - ./:/var/www/html
      - ./apache_log:/var/log/apache2
    ports:
      - "${CONTAINER_PORT}:80"
    extra_hosts:
      - "host.docker.internal:host-gateway"
      - oameye.works.wrenchboard.com:10.20.30.27
      - oameye.work.wrenchboard.com:10.10.33.15
volumes:
  src:
